<template>
  <div class="app-container">
    <el-form :model="queryParams" ref="queryForm" :inline="true" v-show="showSearch" label-width="68px">
      <el-form-item label="年份" prop="year">
        <el-select v-model="queryParams.year" placeholder="请选择年份" >
          <el-option
            v-for="year in yearList"
            :key="year"
            :label="year"
            :value="year"
          />
        </el-select>
      </el-form-item>
      <el-form-item label="月份" prop="month">
        <el-select v-model="queryParams.month" placeholder="请选择月份" >
          <el-option label="11" value="shanghai"></el-option>
          <el-option label="12" value="beijing"></el-option>
        </el-select>
      </el-form-item>

      <el-form-item>
        <el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
        <el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置/刷新</el-button>
      </el-form-item>
    </el-form>

    <div id="scrollTable">
      <el-table v-loading="loading" :data="rzsNationalRankingInfoList" :max-height="maxHeight" :header-cell-style="{background:'#2a8eed',color:'#fafcfe',}">


        <el-table-column label="统计时期2023-1" align="center">
          <el-table-column  label="排名" align="center"  >
            <template slot-scope="scope">
              <span>{{scope.row.datas[2]}}</span>
            </template>
          </el-table-column>
          <el-table-column  label="地区" align="center"  >
            <template slot-scope="scope">
              <span>{{scope.row.datas[2]}}</span>
            </template>
          </el-table-column>
          <el-table-column  label="发明专利有效量" align="center"  >
            <template slot-scope="scope">
              <span>{{scope.row.datas[2]}}</span>
            </template>
          </el-table-column>

        </el-table-column>
      </el-table>
    </div>


  </div>
</template>

<script>
import { listRzsNationalRankingInfo, getRzsNationalRankingInfo, delRzsNationalRankingInfo, addRzsNationalRankingInfo, updateRzsNationalRankingInfo ,getYearList} from "@/api/reportrzs/rzsNationalRankingInfo";

export default {
  name: "RzsNationalRankingInfo",
  data() {
    return {
      maxHeight:0,
      yearList: [],
      // 遮罩层
      loading: true,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      // 专利授权-全国排名表格数据
      rzsNationalRankingInfoList: [],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      queryParams: {
          pageNum: 1,
          pageSize: 10,
        cityCode: null,
        cityName: null,
        year: null,
        month: null,
        inventionPatentsUmber: null,
        status: null,
      },
      // 表单参数
      form: {},
      // 表单校验
      rules: {
      }
    };
  },
  created() {
    this.getYear();
    this.getList();
    this.$nextTick(()=>{
      this.maxHeight = window.innerHeight - 200;//300是页面中除了表格外其他组件的高度
    })
  },
  methods: {
    /** 获取查询年份列表 */
    getYear() {
      getYearList().then(response => {
        this.yearList = response.data;
      });
    },
    handerMethod ({ row, column, rowIndex, columnIndex }) {
      // if (rowIndex === 0) {
      //     if (column.label == '地区' || column.label == '专利类型') {
      //         this.$nextTick(() => {
      //             var _c = document.getElementsByClassName(column.id);
      //             document.getElementsByClassName(column.id)[0].setAttribute('rowSpan', 2);
      //         });
      //         return column;
      //     }
      // } else if (rowIndex === 1) {
      //     if (column.label == '地区' || column.label == '专利类型') {
      //         return { display: 'none' };
      //     }
      // }
      // if (column[0].level == 1) {
      //     column[0].rowSpan = 2
      //     column[1].rowSpan = 0
      //     if (rowIndex === 1) {
      //         return { display: 'none' }
      //     }
      // }
    },

    /** 查询专利授权-全国排名列表 */
    getList() {
      this.loading = true;
      listRzsNationalRankingInfo(this.queryParams).then(response => {
        this.rzsNationalRankingInfoList = response.rows;
        this.total = response.total;
        this.loading = false;
      });
    },
    // 取消按钮
    cancel() {
      this.open = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        id: null,
        cityCode: null,
        cityName: null,
        year: null,
        month: null,
        inventionPatentsUmber: null,
        remark: null,
        delFlag: null,
        status: 0,
        createTime: null,
        createBy: null,
        updateTime: null
      };
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.resetForm("queryForm");
      this.handleQuery();
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
      this.ids = selection.map(item => item.id)
      this.single = selection.length!==1
      this.multiple = !selection.length
    },
    /** 新增按钮操作 */
    handleAdd() {
      this.reset();
      this.open = true;
      this.title = "添加专利授权-全国排名";
    },
    /** 修改按钮操作 */
    handleUpdate(row) {
      this.reset();
      const id = row.id || this.ids
      getRzsNationalRankingInfo(id).then(response => {
        this.form = response.data;
        this.open = true;
        this.title = "修改专利授权-全国排名";
      });
    },
    /** 提交按钮 */
    submitForm() {
      this.$refs["form"].validate(valid => {
        if (valid) {
          if (this.form.id != null) {
            updateRzsNationalRankingInfo(this.form).then(response => {
              this.$modal.msgSuccess("修改成功");
              this.open = false;
              this.getList();
            });
          } else {
            addRzsNationalRankingInfo(this.form).then(response => {
              this.$modal.msgSuccess("新增成功");
              this.open = false;
              this.getList();
            });
          }
        }
      });
    },
    /** 删除按钮操作 */
    handleDelete(row) {
      const ids = row.id || this.ids;
      this.$modal.confirm('是否确认删除专利授权-全国排名编号为"' + ids + '"的数据项？').then(function() {
        return delRzsNationalRankingInfo(ids);
      }).then(() => {
        this.getList();
        this.$modal.msgSuccess("删除成功");
      }).catch(() => {});
    },
    /** 导出按钮操作 */
    handleExport() {
      this.download('reportrzs/rzsNationalRankingInfo/export', {
        ...this.queryParams
      }, `rzsNationalRankingInfo_${new Date().getTime()}.xlsx`)
    }
  }
};
</script>
